pbs_comm(8B)

NAME
pbs_comm - start the PBS communication daemon

SYNOPSIS
Linux:
pbs_comm [-N] [-r <other routers>] [-t <number of threads>]
pbs_comm --version

Windows:
pbs_comm.exe [-R | -U | -N] [-r <other routers>]
[-t <number of threads>]
pbs_comm --version

DESCRIPTION
The PBS communication daemon, pbs_comm, handles communication between daemons, except for scheduler-server and server-server communication, which uses TCP. The server, scheduler, and MoMs are connected by one or more pbs_comm daemons. See the Communication chapter in the PBS Installation & Upgrade Guide.

OPTIONS

-N  Runs the communication daemon in standalone mode.

-r <other routers>
    List of other pbs_comm daemons to which this pbs_comm must connect. This is equivalent to the pbs.conf variable PBS_COMM_ROUTERS. The command line overrides the variable.
    Format: <host>[:<port>][,<host>[:<port>]]

-R  Registers the pbs_comm process. Available under Windows only.

-t  Number of threads the pbs_comm daemon uses. This is equivalent to the pbs.conf variable PBS_COMM_THREADS. The command line overrides the variable.
    Format: Integer

-U  Unregisters the pbs_comm process. Available under Windows only.

--version
    Prints the PBS version and exits. This option can only be used alone.

CONFIGURATION PARAMETERS

PBS_LEAF_ROUTERS
    Parameter in /etc/pbs.conf. Tells an endpoint where to find its communication daemon. You can tell each endpoint which communication daemon it should talk to. Specifying the port is optional.
    Format: PBS_LEAF_ROUTERS=<host>[:<port>][,<host>[:>port>]]

PBS_COMM_ROUTERS
    Parameter in /etc/pbs.conf. Tells a pbs_comm where to find its fellow communication daemons. When you add a communication daemon, you must tell it about the other pbs_comms in the complex. When you inform communication daemons about each other, you only tell one of each pair about the other. Do not tell both about each other. We recommend that an easy way to do this is to tell each new pbs_comm about each existing pbs_comm, and leave it at that.
    Format: PBS_COMM_ROUTERS=<host>[:<port>][,<host>[:>port>]]

PBS_COMM_THREADS
    Parameter in /etc/pbs.conf. Tells pbs_comm how many threads to start. By default, each pbs_comm process starts four threads. You can configure the number of threads that each pbs_comm uses. Usually, you want no more threads than the number of processors on the host.
    Maximum allowed value: 100
    Format: Integer
    Example: PBS_COMM_THREADS=8

PBS_COMM_LOG_EVENTS
    Parameter in /etc/pbs.conf. Tells pbs_comm which log mask to use. By default, pbs_comm produces few log messages. You can choose more logging, usually for troubleshooting.
    Format: Integer
    Default: 511
    Example: PBS_COMM_LOG_EVENTS=<log level>

PBS_LEAF_NAME
    Parameter in /etc/pbs.conf. Tells endpoint what name to use for network. The value does not include a port, since that is usually set by the daemon. By default, the name of the endpoint's host is the hostname of the machine. You can set the name where an endpoint runs. This is useful when you have multiple networks configured, and you want PBS to use a particular network. TPP internally resolves the name to a set of IP addresses, so you do not affect how pbs_comm works.
    Format: String
    Example: PBS_LEAF_NAME=host1

PBS_START_COMM
    Parameter in /etc/pbs.conf. Tells PBS init script whether to start a pbs_comm on this host if one is installed. When set to 1, pbs_comm is started. Just as with the other PBS daemons, you can specify whether each host should start pbs_comm.
    Format: Boolean
    Default: 0
    Example: PBS_START_COMM=1

COMMUNICATION DAEMON LOGFILES
The pbs_comm daemon creates its log files under $PBS_HOME/comm_logs. This directory is automatically created by the PBS installer. In a failover configuration, this directory is in the shared PBS_HOME, and is used by the pbs_comm daemons running on both the primary and secondary servers. This directory must never be shared across multiple pbs_comm daemons in any other case. The log filename format is yyyymmdd (the same as for other PBS daemons). The log record format is the same as used by other pbs daemons, with the addition of the thread number and the daemon name in the log record. The log record format is as follows:
<date and time>;<event code>;<daemon name>(<thread number>);<object type>;<object name>;<message> Example:
03/25/2014 15:13:39;0d86;host1.example.com;TPP;host1.example.com(Thread 2); Connection from leaf 192.168.184.156:19331, tfd=81 down

SIGNAL HANDLING
The pbs_comm daemon handles the following signals:

HUP Re-reads the value of PBS_COMM_LOG_EVENTS from pbs.conf.

TERM
    The pbs_comm daemon exits.

SEE ALSO
The PBS Professional Installation and Upgrade Guide